# P1 Logger Home Assistant add-on

P1 logger is a tool designed to store meter data conforming to the [ESMR or DSMR (European / Dutch Smart Meter Requirements) standard](https://github.com/jvhaarst/DSMR-P1-telegram-reader/blob/master/documentation/Dutch%20Smart%20Meter%20Requirements%20v5.0.2%20Final%20P1.pdf) as efficiently as possible in a PostgreSQL database. Optionally, TimescaleDB is supported. The data can easily be retrieved using tools such as Grafana for visualisation and analysis.

This [P1 Logger Home Assistant add-on](https://git.hollander.online/energy/home-assistant-addons/src/branch/main/p1-logger), makes it possible to easily install it, without requiring a lot of technical knowledge.

![P1 logs visualised in Grafana](https://git.hollander.online/energy/p1-logger/raw/branch/main/screenshots/P1-data-grafana.png)

## Installation instructions

Installation instructions are included in the "Documentation" tab.

## Feedback

If you'd like to provide feedback about this project, or in case you'd like to ask questions, please refer to [this page](https://pieterhollander.nl/author/pieter-hollander/) for contact information (e-mail, Github or LinkedIn), or use the [contact form](https://pieterhollander.nl/#contact) on my website.
